# coding: utf-8
import csv                                          # ouverure de la bibliothèque csv
couples = []                                        # création de la liste stockant les données d'interaction 
with open("stormofswords.csv", 'r') as fichier:     # ouverture du fichier csv
    donnees = csv.reader(fichier, delimiter=',')    # lecture du fichier csv
    for ligne in donnees:                           # constitution de la liste couple de toutes les données du fichier
        couples.append(ligne)
print(len(couples))

#------------------------- recheche du nombre d'interractions par personnage ------------------------
personnages={}
del couples[0]
for s,t,w in couples:
    if s not in personnages:
        personnages[s]=int(w)
    else:
        personnages[s]+=int(w)
    if t not in personnages:
        personnages[t]=int(w)
    else:
        personnages[t]+=int(w)

print("nombre d'interactions par personnage",personnages)
print("nombre d'interactions pour Joffrey",personnages['Joffrey'])

#------------------------- recheche du personnage interragissant le plus ------------------------
nbre_max=0
nom_max=''
for nom,nbre in personnages.items():
    if nbre>nbre_max:
        nom_max=nom
        nbre_max=nbre
print("le personnage ayant le plus d'interactions est :",nom_max,nbre_max,'interactions')